The Loyalty Data API provides App partners with the ability to access data regarding members sales to help aggregate loyalty points. Currently the API allows apps to register their members and are notified on every transaction performed.
Loyalty Data API (1.0)
Overview
Languages
Servers
Production
https://api.tyro.com/connect
- Productionhttps://api.tyro.com/connect/loyalty/activities/{loyaltyActivityId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.tyro.com/connect/loyalty/activities/{loyaltyActivityId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'OK
The Id of the loyalty activitiy in the Tyro Connect system.
Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
The identifier of the member who is associated with this activity. This value corresponds to the origin.memberId provided during member registration.
EFTPOS integration type. It will always be NOT_APPLICABLE for ONLINE payments.
Enum"INTEGRATED""STANDALONE""NOT_APPLICABLE"
Response
application/json
- Without sale object
- With sale object
{ "id": "99fdaa02-4cb4-4948-a79e-4b69e4008feb", "locationId": "e429f245-4dcb-4961-9d27-c40538e990b2", "memberId": "foo@bar.com", "payment": { "origin": { … }, "type": "PURCHASE", "zonedDateTime": "2021-10-11T11:00:01+11:00", "breakdown": { … }, "total": { … } }, "sale": null }
Request
This endpoint is for creating fake payments that can be used to test your integration with our system. After registering a member, payments can be generated for that member by providing the memberId that you specified during registration.
Security
JWT
The identifier of the member who should be associated with this payment. This value corresponds to the origin.memberId provided during member registration.
The type of payment being made
Enum"PURCHASE""REFUND""CASHOUT""OPEN_PRE_AUTH""CLOSE_PRE_AUTH""VOID"
- Productionhttps://api.tyro.com/connect/payments/test
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.tyro.com/connect/payments/test \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"locationId": "tc-testlocation-2000",
"memberId": "some-member-id",
"paymentType": "PURCHASE",
"paymentSource": "EFTPOS",
"goodsAndServicesAmount": 100
}'